Bug 7238 - move SIPconfig.xml, sip_run and sip_shutdown outside from C4 (NOT FOR 3.6)
Summary: move SIPconfig.xml, sip_run and sip_shutdown outside from C4 (NOT FOR 3.6)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Chris Cormack
QA Contact: Ian Walls
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-16 23:04 UTC by Chris Cormack
Modified: 2013-12-05 20:05 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7238 : Shifting SIPconfig.xml to the etc dir and the scripts to misc/bin (1022 bytes, patch)
2011-11-17 00:18 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7238 Followup - fix sip_run to require path to SIPconfig.xml (1.44 KB, patch)
2012-01-01 03:44 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 7238 : Shifting SIPconfig.xml to the etc dir and the scripts to misc/bin (1.22 KB, patch)
2012-01-01 05:37 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 7238 - make packages deal with SIP config (3.46 KB, patch)
2012-02-10 00:53 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 7238 - make packages deal with SIP config (3.84 KB, patch)
2012-02-10 01:32 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 7238 - make packages deal with SIP config (3.92 KB, patch)
2012-02-13 01:40 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2011-11-16 23:04:23 UTC
I want to shift it to etc/ where it should rightfully live
Comment 1 Chris Cormack 2011-11-17 00:18:13 UTC Comment hidden (obsolete)
Comment 2 laurenthdl 2011-11-17 08:17:50 UTC
Hi,
would it not be more interesting to have different directories in etc :
as discussed here http://lists.koha-community.org/pipermail/koha-devel/2010-November/034735.html
etc/services/SIP2/
And not directly in etc/
same for bin/
Comment 3 Chris Cormack 2011-11-21 00:44:50 UTC
Yep, the packages do that on install, the Makefile.PL could do the same thing.

The main thing is to first get them out of C4/ so that you don't bust your SIP server whenever you upgrade. But if you wanted to do a patch to move them into other dirs I certainly wouldn't object.
Comment 4 Colin Campbell 2011-11-21 12:11:11 UTC
sip_run.sh still looks for the config file in the old location.
Comment 5 Ian Walls 2011-11-21 14:14:07 UTC
My strategy has always been to duplicate the SIPconfig.xml to a separate file, customize, then run SIP off that.  Saves merge conflicts.  But, yes, having this removed completely from C4/SIP is necessary.  Getting these files to respect our Make options is vital; perhaps even adding a "do you want to set up SIP2 services?" set of questions to the installer would be good.
Comment 6 Liz Rea 2012-01-01 03:44:33 UTC Comment hidden (obsolete)
Comment 7 Liz Rea 2012-01-01 05:37:25 UTC Comment hidden (obsolete)
Comment 8 Paul Poulain 2012-02-02 17:24:21 UTC
QA question:
Am I right if I say it changes the signature of sip_run ?
before the patch: you could run without any arg, the SIPconfig.xml was taken from C4/Sip, but you could also pass a parameter with the config file
after the patch: you must provide a parameter

if i'm right, this patch is an ENH, and will be for 3.8 to avoid any regression for existing users during maintenante update.

Otherwise, passed QA, but i'm waiting for the answer to push
Comment 9 Liz Rea 2012-02-03 00:04:16 UTC
Paul: that is correct. My opinion is that it can wait for 3.8.
Comment 10 Robin Sheat 2012-02-10 00:53:07 UTC Comment hidden (obsolete)
Comment 11 Robin Sheat 2012-02-10 01:32:25 UTC Comment hidden (obsolete)
Comment 12 Robin Sheat 2012-02-10 01:33:57 UTC
(the update includes a change I forgot to add)
Comment 13 Jared Camins-Esakov 2012-02-13 01:40:29 UTC
Created attachment 7602 [details] [review]
Bug 7238 - make packages deal with SIP config

This moves the SIP config to the templates directory (on package
building) in anticipation of making it configurable with package tools.
Prevents it being installed into /etc.

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 14 Paul Poulain 2012-02-15 16:24:43 UTC
Nothing looks wrong to me on this follow-up. Will push it, however, I haven't tested it myself, trusting Robin & Jared, they're much more aware than I'm for this kind of packaging
Comment 15 Jared Camins-Esakov 2012-12-31 00:37:33 UTC
There have been no further reports of problems so I am marking this bug resolved.